Subject: bug#25359: autoreconf no longer suffices

From: Eli Zaretskii <[email-masked]>
Date: Fri, 06 Jan 2017 20:25:07 +0200

> From: Glenn Morris <[email-masked]>
> Cc: [email-masked]
> Date: Fri, 06 Jan 2017 13:13:49 -0500
> 
> Eli Zaretskii wrote:
> 
> >> I think it is wrong to make autogen.sh compulsory in this way.
> >
> > Why do you think it's wrong?
> 
> Perhaps it's just my opinion. It was the original intent of autogen.sh
> to be just a convenience wrapper for sanity checks + autoreconf.

AFAIR, many packages I've built require running autogen.sh as the
first step, which I interpret as a de-facto standard.  Perhaps that's
just my misperception.

> 4) autogen.sh should ensure the outputs are newer than the inputs.
> nt/gnulib.mk is only tested for existence, not freshness.

The freshness is ensured by Makefile's.  But to have Makefile's
generated we must have this file, because autoreconf needs it.

> >> (Obviously the missing file is irrelevant anyway on non MS-Windows
> >> platforms.)
> >
> > Evidently, it isn't irrelevant, otherwise the error would have never
> > happened, right?
> 
> Eg "touch nt/gnulib.mk" works just as well on non-MS platforms, where
> the contents of the file are completely irrelevant.

The problem is not the command that generates the file, the problem is
where to put it and how to make sure it runs before Automake, because
it's Automake that needs it.  If you can find a way to run the 'touch'
command, we can run the full Sed command in the same place and manner.